LFR-FSW - Bug #176

EM : 2 reponses suite a Envoi TC_LFR_LOAD_*_PARAM ds le mode courant (BURST, SBM1,SBM2)
20/06/2014 09:33 AM - Veronique bouzid

Status: Closed Start date: 20/06/2014
Priority: High Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

On est en BURST MODE
14:21:27.294332, TM_LFR_HK, HK_LFR_MODE: BURST = 2,

On envoie une TC_LFR_LOAD_BURST_PAR (parametres = parametres par défaut)

14:21:27.315331, TC_LFR_LOAD_BURST_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=11378, (PACKET_SEQUENCE_CONTROL=0xec72), PACKET_LENGTH=7,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_BURST_PARAMETERS_1 = 19, SOURCE_ID: MISSION_TIMELINE =
110, SY_LFR_B _BP_P0 = 1(s), SY_LFR_B_BP_P1 = 5(s), CRC = 0xd3ae

--> 2 réponses a cette TC:
- la premiére est correcte, on ne peut executer un TC_LFR_LOAD_*_PARAM d'un mode courant
- la seconde qui n'a pas lieu d'arriver

14:21:27.394354, TM_LFR_TC_EXE_NOT_EXECUTABLE, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=96,

(PACKET _SEQUENCE_CONTROL=0xc060), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x80000019384c, PA RPW_TC_FAILURE_CODE: TC_NOT_EXE = 42000,
PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xec72, PA RPW_TC SERVICE=181,
PA_RPW_TC_SUBTYPE=19, HK_LFR_MODE: BURST = 2, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1,
HK_LFR_DPU_SPW._LINK_STATE: RUN = 5, SPARE=0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0,
HK_LFR_CALIB_ENABLED: DISABLED = 0, HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

14:21:27.394686, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=97,
(PACKET_SEQUENCE_CONTROL=0xc061), PACKET LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x80000019385f, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xec72

Ce cas est vu également en mode SBM1

14:21:30.597768, TC_LFR_LOAD_SBM1_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=10640, (PACKET_SEQUENCE_CONTROL=0xe990), PACKET_LENGTH=7,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_SBM1_PARAMETERS = 25, SOURCE_ID: MISSION_TIMELINE =
110, SY_LFR_S1_BP_P0 = 0.25(s), SY_LFR_S1_BP_P1 = 1(s), CRC = 0xb801

14:21:30.694349, TM_LFR_TC_EXE_NOT_EXECUTABLE, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=109,
(PACKET_SEQUENCE_CONTROL=0xc06d), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,

16/04/2024 1/3




SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001c85dc, PA RPW_TC_FAILURE_CODE: TC_NOT_EXE = 42000,
PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xe990, PA RPW TC SERVICE=181,
PA_RPW_TC_SUBTYPE=25, HK_LFR_MODE: SBM1 = 3, HK_LFR_DPU_SPW_ENABLED: ENABLED = 1,
HK_LFR_DPU_SPW._LINK_STATE: RUN = 5, SPARE=0, SY_LFR_WATCHDOG_ENABLED: DISABLED = 0,
HK_LFR_CALIB_ENABLED: DISABLED = 0, HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

14:21:30.694638, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=110,
(PACKET_SEQUENCE_CONTROL=0xc06¢e), PACKET LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001c85ed, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xe990

et en SBM2

14:21:33.898319, TC_LFR_LOAD_SBM2_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 =76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=10523, (PACKET_SEQUENCE_CONTROL=0xe91b), PACKET_LENGTH=7,
CCSDS_SECONDARY_HEADER FLAG=0, PUS_VERSION =1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_SBM2_ PARAMETERS = 27, SOURCE_ID: MISSION_TIMELINE =
110, SY_LFR_S2 BP P0=1,SY _LFR_S2 BP P1 =5, CRC = Oxaee4

14:21:33.99446, TM_LFR_TC_EXE_NOT_EXECUTABLE, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 =76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=122,
(PACKET_SEQUENCE_CONTROL=0xc07a), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001fd3ac, PA_RPW_TC_FAILURE_CODE: TC_NOT_EXE = 42000,
PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xe91b, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=27, HK_LFR_MODE: SBM2 = 4, HK_LFR_DPU_SPW_ENABLED: ENABLED =1,
HK_LFR_DPU_SPW_LINK_STATE: RUN =5, SPARE=0, SY_LFR_WATCHDOG_ENABLED: DISABLED =0,
HK_LFR_CALIB_ENABLED: DISABLED = 0, HK_LFR_RESET_CAUSE: UNKNOWN_CAUSE =0

14:21:33.994742, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=123,
(PACKET_SEQUENCE_CONTROL=0xc07b), PACKET LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001fd3be, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xe91b

Contexte:

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520
Carte EM

Vhdl: EM_1.1.23

Brique Star-Dundee S/N <illisible>.

Soft:1.0.0.11 (variante sur carte finale)

TEST CASE = SVS-0007

History

#1 - 20/06/2014 03:36 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

fsw >= 1.0.0.12

Bug identifié et corrigé. Vérification effectuée en manuel avec SocExplorer.

#2 - 23/06/2014 02:05 PM - Veronique bouzid
- Status changed from New to Closed

- Assignee changed from Veronique bouzid to paul leroy
test rejoué en 1.0;0.12
Tout est ok.

Ici la trace pour le BURST

13:09:13.406037, TC_LFR_ENTER_MODE (CP_LFR_MODE=2)
13:09:15.093309, TC_LFR_LOAD_BURST_PAR
13:09:15.189225, TM_LFR_TC_EXE_NOT_EXECUTABLE
13:09:15.294114, TC_LFR_LOAD_SBM1_PAR
13:09:15.389271, TM_LFR_TC_EXE_SUCCESS

Ici la trace pour SBM1

13:09:16.498187, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
13:09:18.411577, TC_LFR_LOAD_SBM1_PAR
13:09:18.489248, TM_LFR_TC_EXE_NOT_EXECUTABLE
13:09:18.618335, TC_LFR_LOAD_SBM2_PAR

Ici la trace pour SBM2

13:09:19.624522, TC_LFR_ENTER_MODE (CP_LFR_MODE=4)
13:09:21.693981, TC_LFR_LOAD_SBM2_PAR
13:09:21.795661, TM_LFR_HK

13:09:21.800988, TM_LFR_TC_EXE_NOT_EXECUTABLE
